apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.appName }}-introspection
  labels:
    app: {{ .Values.appName }}-introspection
  annotations:
    argocd.argoproj.io/sync-wave: "-2"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{ .Values.appName }}-introspection
  template:
    metadata:
      annotations:
        linkerd.io/inject: "disabled"
      labels:
        app: {{ .Values.appName }}-introspection
      name: {{ .Values.appName }}-introspection
    spec:
      containers:
      - name: {{ .Values.appName }}-introspection
        image: {{ .Values.ecrAddress }}/{{ .Values.imageRepo }}:{{ .Values.imageTag }}
        ports:
        - containerPort: {{ .Values.containerPort }}
        envFrom:
        - secretRef:
            name: {{ .Values.appName }}
